summaryrefslogtreecommitdiff
path: root/source3/script/tests/selftest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/selftest.sh')
-rwxr-xr-xsource3/script/tests/selftest.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source3/script/tests/selftest.sh b/source3/script/tests/selftest.sh
index 94621841f5..c02e0ee183 100755
--- a/source3/script/tests/selftest.sh
+++ b/source3/script/tests/selftest.sh
@@ -345,6 +345,13 @@ START=`date`
bin/smbclient $CONFIGURATION -L $SERVER_IP -U% -p 139 | head -2
MAKE_TEST_BINARY=""
+ MAKE_TEST_BINARY="bin/net"
+ printf "%s" "creating BUILTIN\\Administrators..."
+ bin/net -s $SERVERCONFFILE sam createbuiltingroup \
+ Administrators > /dev/null 2>&1 || exit 1
+ echo "DONE"
+ MAKE_TEST_BINARY=""
+
failed=0
. $SCRIPTDIR/tests_$SUBTESTS.sh